"use strict";

var isMobile = false;
var screen_width = 0;
var laypage_layout = ["prev", "page", "next", "count", "limit", "skip"];
var hotImgs = {
  width: "347px",
  height: "218px",
};
$(function () {
  // 设置网页变灰色
  // $("html").addClass("gray")

  // 根据浏览器头判断是否移动端
  if (
    /Android|iPhone|SymbianOS|Windows Phone|iPad|iPod/.test(navigator.userAgent)
  ) {
    // isMobile = true;
  }
  screen_width = window.screen.width;
  // 根据屏幕分辨率判断是否是手机
  if (screen_width < 751) {
    isMobile = true;
  }
  if (!isMobile) {
    setCurrentLunar();
    initModuleTabs();
  } else {
    laypage_layout = ["prev", "next"];
    hotImgs = {
      width: "100%",
      height: parseInt(screen_width / (347 / 218)) + "px",
    };
    initModuleTabsMobile();
  }
  var $back_top = $("#back-top");
  $back_top.on("click", function () {
    $("html, body").animate({
      scrollTop: 0,
    });
  });
  var $detail_video = $("#detail-video");
  var $detail_activity = $("#detail-activity");
  var videos_top = 0;
  var activity_top = 0;
  if ($detail_video[0]) {
    videos_top = $detail_video.offset().top - 20;
    if ($detail_activity) {
      activity_top =
        $detail_activity.offset().top - 20 - $detail_video.height();
    }
  }
  window.addEventListener("scroll", function () {
    var top = document.documentElement.scrollTop || document.body.scrollTop;
    if (top > 300) {
      $back_top.css({
        display: "flex",
      });
    } else {
      $back_top.hide();
    }
    if (!isMobile && activity_top > 1650) {
      if (top > videos_top) {
        $detail_video.removeClass("absolute_video").addClass("fixed_video");
      } else {
        $detail_video.removeClass("fixed_video").removeClass("absolute_video");
      }
      if (top > activity_top) {
        $detail_video.removeClass("fixed_video").addClass("absolute_video");
      }
    }
  });
  $("#open-menu").on("click", function () {
    $(".header-nav").addClass("show");
  });
  $("#menu-close").on("click", function () {
    $(".header-nav").removeClass("show");
  });
  $(".header-search-btn").on("click", function () {
    var value = $(this).prev(".header-search-input").val().split('%').join('').trim();
    if (value) {
      window.location.href = "/zgnyxxw/kgls/search/2?keyWord=" + value;
    }
  });
  if (isMobile) {
    var $mobile_nav_box = $(".mobile-nav .nav");
    var $mobile_nav_active = $mobile_nav_box.find(".active");
    var active_x_left = $mobile_nav_active.offset().left - 20;
    $mobile_nav_box.scrollLeft(active_x_left);
  }

  // 解决图片文字环绕
  var imgs = $(".article-detail-content img");
  imgs.each(function (index, el) {
    if (el.style["float"] == "right" || el.style["float"] == "left") {
      $(this).addClass("space");
    }
  });
});
layui.use("layer", function () {
  var layer = layui.layer;

  // 视频播放
  $(".list3 a").on("click", function () {
    var $this = $(this);
    var src = $this.data("src");
    var img = $this.find("img").attr("src");
    var title = $this.find("h3").text();
    var videoHtml =
      '<video width="100%" controls x5-video-player-type="h5" x5-video-player-fullscreen="true"' +
      ' playsinline webkit-playsinline autoplay id="video" style="display: block" ' +
      ' src="' +
      src +
      '" poster="' +
      img +
      '">您的浏览器不支持 video 标签。</video>';
    if (isMobile) {
      $(".list3 #video").remove();
      $(".list3 h3.vn").remove();
      $(".list3 img").show();
      $(".list3 h3").show();
      $this.find("img").hide();
      $this.find("h3").hide();
      $this.append(videoHtml + '<h3 class="vn">' + title + "</h3>");
    } else {
      layer.open({
        type: 1,
        id: "video-layer",
        title: false,
        area: ["640px", "auto"],
        content:
          '<div class="video"><h3>' + title + "</h3>" + videoHtml + "</div>",
      });
    }
    $("#video").on("play", function () {
      console.log("视频开始播放。。。");
    });
    $("#video").on("ended", function () {
      console.log("视频播放完毕。。。");
      if (isMobile) {
        $this.find("h3.vn").remove();
        $this.find("video").remove();
        $this.find("img").show();
        $this.find("h3").show();
      }
    });
  });
});

/* 设置顶部日期 */
function setCurrentLunar() {
  var $lunar = $("#current_lunar");
  var current_date = new Date(),
    current_year = current_date.getFullYear(),
    current_month = current_date.getMonth() + 1,
    current_day = current_date.getDate();
  var current_lunar_obj = calendar.solar2lunar(
    current_year,
    current_month,
    current_day
  );
  var tomorrow_obj = getFutureDate(1);
  var tomorrow_lunar_obj = calendar.solar2lunar(
    tomorrow_obj.year,
    tomorrow_obj.month,
    tomorrow_obj.date
  );
  var after_tomorrow_obj = getFutureDate(2);
  var after_tomorrow_lunar_obj = calendar.solar2lunar(
    after_tomorrow_obj.year,
    after_tomorrow_obj.month,
    after_tomorrow_obj.date
  );
  var current_lunar =
    current_lunar_obj.cYear +
    "年" +
    current_lunar_obj.cMonth +
    "月" +
    current_lunar_obj.cDay +
    "日&nbsp;&nbsp;" +
    current_lunar_obj.ncWeek +
    "&nbsp;&nbsp;农历" +
    current_lunar_obj.IMonthCn +
    current_lunar_obj.IDayCn;
  if (current_lunar_obj.isTerm) {
    current_lunar += "&nbsp;&nbsp;今天是" + current_lunar_obj.Term;
  }
  if (tomorrow_lunar_obj.isTerm) {
    current_lunar += "&nbsp;&nbsp;明天是" + tomorrow_lunar_obj.Term;
  }
  if (after_tomorrow_lunar_obj.isTerm) {
    current_lunar += "&nbsp;&nbsp;后天是" + after_tomorrow_lunar_obj.Term;
  }
  $lunar.html(current_lunar);
}

/* 获取 多少 天后的年月日 */
function getFutureDate(days) {
  var nowDate = new Date();
  var nowTime = nowDate.getTime(); //当前时间戳
  var futureTime = Math.abs(nowTime) + days * 24 * 60 * 60 * 1000; //days天后的时间戳
  var futureDate = new Date(futureTime);
  var year = futureDate.getFullYear();
  var month = futureDate.getMonth() + 1;
  var date = futureDate.getDate();
  return {
    year: year,
    month: month,
    date: date,
  };
}
function confirmLeave(e) {
  var href = e.href;
  if (href) {
    var _html =
      '<div id="confirm-leave"><div class="box"><div class="title"><h4>温馨提示</h4><span class="icon close"></span></div>' +
      '<div class="content"><img src="/zgnyxxw/resources/kgls/images/home/icon_jingg.png" ><p>您即将离开中国农药信息网， 是否继续？</p></div>' +
      '<div class="leave-btn">' +
      '<a class="btn confirm" href="' +
      href +
      '" target="_blank" rel="noopener noreferrer">确定</a>' +
      '<span class="btn close">取消</span></div></div> </div>';
    $("body").append(_html);

    // 离开网站提示
    $("#confirm-leave .close").on("click", function () {
      $(this).parents("#confirm-leave").remove();
    });
    $("#confirm-leave .confirm").on("click", function () {
      $(this).parents("#confirm-leave").remove();
    });
  }
  return false;
}

/* friendly-link */
function friendlyLinkChange(obj) {
  var val = obj.options[obj.selectedIndex].value;
  var vals = val.split("^");
  if (vals[0] != "#") {
    confirmLeave({
      href: vals[0],
    });
  }
}

/* tab 标签页切换 */
function initModuleTabs() {
  $(".module-tabs .tabs-title .tab-title").hover(function () {
    var $this = $(this);
    $this.addClass("active").siblings(".tab-title").removeClass("active");
    var index = $this.index();
    $this
      .parent(".tabs-title")
      .next(".tabs-panel")
      .children(".tab-panel")
      .removeClass("active")
      .eq(index)
      .addClass("active");
  });
}

/* 移动端 tab 标签页切换 */
function initModuleTabsMobile() {
  $(".module-tabs .tabs-title .tab-title").on("click", function (e) {
    e.preventDefault();
    var $this = $(this);
    $this.addClass("active").siblings(".tab-title").removeClass("active");
    var index = $this.index();
    $this
      .parent(".tabs-title")
      .next(".tabs-panel")
      .children(".tab-panel")
      .removeClass("active")
      .eq(index)
      .addClass("active");
  });
}

        $(".adv").on("click", function () {
			var $this = $(this);
          var advId = $(this).data("id");
          var advURL = $(this).data("url");
		  $.ajax({
				url: "/kgls/advClick",
				type: "POST",
				data: {id:advId},
				dataType: "json",
				cache: false,
				success: function(message) {
					if(advURL.search('chinapesticide.org.cn')<0){
						confirmLeave({
					      href: advURL,
					    });
					}else{
						window.open(advURL,"_blank");
					}
				}
			});
        });


$(".outLink").on("click", function () {
	var advURL = $(this).data("url");
	if(advURL.search('chinapesticide.org.cn')<0){
	    confirmLeave({
	      href: advURL,
	    });
	}else{
		window.open(advURL,"_blank");
	}
});

document.onkeydown = function (e) { // 回车提交表单
// 兼容FF和IE和Opera
    var theEvent = window.event || e;
    var code = theEvent.keyCode || theEvent.which || theEvent.charCode;
    if (code == 13) {
		var value = $(".header-search-input").val().split('%').join('').trim();
		if (value) {
		  window.location.href = "/zgnyxxw/kgls/search/2?keyWord=" + value;
		}
    }
}